\documentclass{standalone}
\usepackage{pgfplots}

\usepackage{efbox,graphicx}
\efboxsetup{linecolor=black,linewidth=2pt}

\pgfplotsset{compat=1.8}

\begin{document}
\begin{tikzpicture}
    \node[inner sep=0pt] at (0,1.35) {1.0};
    \node[inner sep=0pt] at (3.5,1.35) {1.2};
    \node[inner sep=0pt] at (-2.2,1.35) {Parameter:};

    \node[inner sep=0pt,align=center] at (-2.2,0) {Eigenvector \\ 10:};
    \node[inner sep=0pt,align=center] at (-2.2,-2.5) {Eigenvector \\ 9:};
    \node[inner sep=0pt,align=center] at (-2.2,-5) {Eigenvector \\ 8:};
    
    \path [very thick] (-3.2,1.15) edge (4.5,1.15);
    \path [thick] (-1.2,1.6) edge (-1.2,-6.3);

    \node[inner sep=0pt] at (0,0) {\includegraphics[scale=0.15]{CrossingCut/p_1_10.png}};
    \node[inner sep=0pt] at (0,-2.5) {\includegraphics[scale=0.15]{CrossingCut/p_1_9.png}};
    \node[inner sep=0pt] at (0,-5) {\includegraphics[scale=0.15]{CrossingCut/p_1_8.png}};
    
    \node[inner sep=0pt] at (3.5,0) {\includegraphics[scale=0.15]{CrossingCut/p_12_10.png}};
    \node[inner sep=0pt] at (3.5,-2.5) {\includegraphics[scale=0.15]{CrossingCut/p_12_9.png}};
    \node[inner sep=0pt] at (3.5,-5) {\includegraphics[scale=0.15]{CrossingCut/p_12_8.png}};

    \path [-stealth, thick] (1.1,-2.5) edge[out=20, in =200] (2.5,0);
    \path [-stealth, thick] (1.1, 0) edge[out=-20, in =160] (2.5,-2.5);
    \path [-stealth, thick] (1.1, -5) edge (2.5,-5);

\end{tikzpicture}
\end{document}
